Field3DFileHDF5Base::LayerInfo Struct Reference

`#include <Field3DFileHDF5.h>`

## Public Member Functions

| LayerInfo (std::string par, std::string nm, int cpt)

## Public Attributes

int | components
std::string | name
std::string | parentName

## Detailed Description

Definition at line 245 of file Field3DFileHDF5.h.

## Constructor & Destructor Documentation

## LayerInfo()

Field3DFileHDF5Base::LayerInfo::LayerInfo | ( | std::string | par,
|  | std::string | nm,
|  | int | cpt )

inline

Definition at line 250 of file Field3DFileHDF5.h.

: name(nm), parentName(par), components(cpt)
{ /* Empty */ }
Field3DFileHDF5Base::LayerInfo::name
std::string name
Definition Field3DFileHDF5.h:247
Field3DFileHDF5Base::LayerInfo::components
int components
Definition Field3DFileHDF5.h:249
Field3DFileHDF5Base::LayerInfo::parentName
std::string parentName
Definition Field3DFileHDF5.h:248

References components, name, and parentName.

## Member Data Documentation

## name

std::string Field3DFileHDF5Base::LayerInfo::name

Definition at line 247 of file Field3DFileHDF5.h.

Referenced by LayerInfo().

## parentName

std::string Field3DFileHDF5Base::LayerInfo::parentName

Definition at line 248 of file Field3DFileHDF5.h.

Referenced by LayerInfo().

## components

int Field3DFileHDF5Base::LayerInfo::components

Definition at line 249 of file Field3DFileHDF5.h.

Referenced by LayerInfo().

The documentation for this struct was generated from the following file:

- export/Field3DFileHDF5.h